/*
 * Tab.c
 *
 *  Created on: 15 janv. 2019
 *      Author: e_rcluze
 */

#include "Tab.h"
#include "RTC.h"
#include "Eeprom.h"

void initTab(){
	uint8_t val[24*2];
	readData(0x0000,val,24*2);
	Heure Dem, Ext;
	for (int i =0 ; i<6;i++){
		tabSortie[i].PuissanceMax=val[(i*2)-2];
		tabSortie[i].Pente=val[(i*2)+0x0C];
		Dem.heure= val[(i*2)+0x18];
		Dem.minute = val[(i*2)+0x19];
		tabSortie[i].Demmarage= Dem;
		Ext.heure = val[(i*2)+0x24];
		Ext.minute = val[(i*2)+0x25];
		tabSortie[i].Extinxtion= Ext;
		tabSortie[i].Fonctionement=0;
	}
}

void WriteTab(Sortie *t){
	for(int i = 0;i<10;i++)
		tabSortie[i]=t[i];
}

void ReadTab(Sortie *t){
	for(int i = 0;i<10;i++)
		t[i]=tabSortie[i];
}
